#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 6727 $
$LastChangedDate:: 2023-03-10 13:39:08 +0100#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    from componentspace.testing.testrunner import NoseTestRunner
    runner = NoseTestRunner.fromCMDParser()
    '''exclude test with matching patterns
        -  java (e.g. dqModel, componentspace) tests cause trouble in the build process -> unable to finish the process
        -  magtwin -> re-activate only after re-implementation of the whole magtwin code
        - test_drawMPL -> currently very long run time
    '''
    exclude_patterns = ('test_componentspace', 'test_magtwin', 'test_drawMPL', 'test_freecad',
                        'disabled', 'dq_model', 'dqmodel', 'dqModel')
    runner.run(exclude_patterns)

